<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>calc_atmospheric_density()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#a704d747552b25f3c1ab37f632f2abc88">environment.Environment</a></li>
<li>calc_mag_field()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#a94a3fa67ed30ecdffaa61b4f6f1bdfbd">environment.Environment</a></li>
<li>calc_solar_pressure()&#160;:&#160;<a class="el" href="classenvironment_1_1_environment.html#a96bfd402aea6a500cd15e166df8441cc">environment.Environment</a></li>
<li>check_parameter_update()&#160;:&#160;<a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">Sensor.Sensor</a></li>
<li>chose_sim&#160;:&#160;<a class="el" href="classview_1_1_tabs.html#a5b508b3a26bbc9f6ff119c22ed4e506d">view.Tabs</a></li>
<li>column_names&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ada1234e365f26120778a854a61ca0655">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, <a class="el" href="classdynamics_1_1_dynamics.html#ab4818d5ed336e25174eab6462a15f8fa">dynamics.Dynamics</a>, <a class="el" href="classearth__sensor_1_1_earth_sensor.html#a3088093822b13db1fddb9f3e2ec0f5f4">earth_sensor.EarthSensor</a>, <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#acd8bbe8d28cad188f0f96e97a2376c1c">gyroscope.MEMS3AxisGyroscope</a>, <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a247fe850f7cf58fdb17447f7ec1066f4">magnetometer.FluxgateMagnetometer</a>, <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#af65e95360d3a44ffb5f9ad5019abfb54">sunsensor.FineSunSensor</a>, <a class="el" href="classsunsensor_1_1_photodiode.html#a0f5cfaf398d8ddf1a7e1840ce38b4e91">sunsensor.Photodiode</a></li>
<li>columns&#160;:&#160;<a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a42d9a1e15029aa9f9ca1885282a9b371">widgets.PyQtGraph2dPlot</a></li>
<li>communication_mode&#160;:&#160;<a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#aa9ce860be6c77c8e7c95a9c71b674a44">widgets.PyQtGraph2dPlot</a></li>
<li>component_dict&#160;:&#160;<a class="el" href="classmain_1_1task__object.html#a698f46fe6bd5d1aa24ca0d1a22178094">main.task_object</a></li>
<li>compute_sunvector_from_photo_currents()&#160;:&#160;<a class="el" href="classsunsensor_1_1_sunsensor.html#a80359f68c0730a4f78c7603f5d600316">sunsensor.Sunsensor</a></li>
<li>compute_sunvector_from_photo_currents_alternative()&#160;:&#160;<a class="el" href="classsunsensor_1_1_sunsensor.html#a421adae2f9008510a818ed9e629803c3">sunsensor.Sunsensor</a></li>
<li>cross_axis_coupling_factor&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ad4d7bc080fb20c99a066990975b64d1f">acceleration_sensor.MEMS3AxisAccelerationSensor</a></li>
<li>curve&#160;:&#160;<a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#af71a1b4019dbc73752d9b038d21fc83b">widgets.PyQtGraph2dPlot</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
